Bug 18682 - Translatability: Get rid of [%% in translation for 2 files av-build-dropbox.inc
Summary: Translatability: Get rid of [%% in translation for 2 files av-build-dropbox.inc
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-26 18:36 UTC by Marc Véron
Modified: 2017-07-31 11:19 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18682 - Translatability: Get rid of [%% in translation for 2 files av-build-dropbox.inc (3.57 KB, patch)
2017-05-30 12:36 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18682 - Translatability: Get rid of [%% in translation for 2 files av-build-dropbox.inc (3.66 KB, patch)
2017-06-05 20:03 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-05-26 18:36:03 UTC
File av-build-dropbox.inc has linebreaks inside template directives. This exposes the following intrenals (comments and tt code) to translations:
%s [%%# Parameters: name: the name of the select element category: the authorised value category default: the default authorised value to select class: the CSS class of the select element size: the size to use for the input (generated if the authorised value category does not exist). all: add a "All" entry %%] %s [%% DEFAULT class = '' size = 20 %%] %s
Comment 1 Marc Véron 2017-05-30 12:36:29 UTC
Created attachment 63840 [details] [review]
Bug 18682 - Translatability: Get rid of [%% in translation for 2 files av-build-dropbox.inc

Two files av-build-dropbox.inc has linebreaks inside template directives,
 exposing internals (comments and tt code) to translations as mentioned
in initial comment.
Translators should not be confronted with such interal code.

This patch fixes it.

To test
- Verify, that code changes make sense and have no more line breaks insied
  tt directives.
- Run QA tools in newest version (checking for line breaks inside tt
  directives)
- Bonus test: Create a "language" aa-AA (perl translate create aa-AA
  from folder misc/translator, verify that lines mentioned above do
  no longer appear in aa-AA-staff-prog.po and in aa-AA-opac-bootstrap.po
Comment 2 Jonathan Druart 2017-06-05 20:03:33 UTC
Created attachment 63990 [details] [review]
Bug 18682 - Translatability: Get rid of [%% in translation for 2 files av-build-dropbox.inc

Two files av-build-dropbox.inc has linebreaks inside template directives,
 exposing internals (comments and tt code) to translations as mentioned
in initial comment.
Translators should not be confronted with such interal code.

This patch fixes it.

To test
- Verify, that code changes make sense and have no more line breaks insied
  tt directives.
- Run QA tools in newest version (checking for line breaks inside tt
  directives)
- Bonus test: Create a "language" aa-AA (perl translate create aa-AA
  from folder misc/translator, verify that lines mentioned above do
  no longer appear in aa-AA-staff-prog.po and in aa-AA-opac-bootstrap.po

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2017-06-05 20:17:51 UTC
Trivial, skipping QA.
Comment 4 Jonathan Druart 2017-06-06 19:03:35 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-06-12 08:44:39 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 6 Katrin Fischer 2017-06-13 05:36:10 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 7 Mason James 2017-07-31 11:19:17 UTC
Pushed to 16.05.x, for 16.05.15 release